GELF_UPDATE_MOVE(3)

NAME
gelf_update_move - Update class-independent move structure at the given index

SYNOPSIS
#include <gelf.h>
int gelf_update_move (Elf_Data *data, int ndx, GElf_Move *src);

DESCRIPTION
This function copies a class-independent move structure from src into the SHT_SUNW_move section associated with data at entry index ndx. data should be associated with an ELF section with type SHT_SUNW_move section. data->d_type should be ELF_T_MOVE. These types are Sun/Solaris extensions and are not typically used in GNU/Linux ELF files.

PARAMETERS

data
    Pointer to an Elf_Data associated with a SHT_SUNW_move section. data->d_type should be ELF_T_MOVE.

ndx Zero-based index of the move structure entry to be updated within data.

src Pointer to a caller-provided move structure. For ELFCLASS32 binaries, m_info and m_poffset should be able to fit within unsigned 32-bit values. The GELF_M_SIZE component of m_info should fit in unsigned 8 bits and the GELF_M_SYM component should fit in unsigned 24 bits. src must not be NULL.

RETURN VALUE
On success, this function returns a non-zero value and updates the move entry at index ndx in data. The section associated with data is flagged with ELF_F_DIRTY. On failure, zero is returned and elf_errno is set. If data is NULL, then zero is returned without setting elf_errno.

SEE ALSO
gelf_getmove(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.